import { OnInit } from '@angular/core';
import { CalendarDayModel } from '../calendar/calendar.model';
import { DatePickerModel } from './datepicker.model';
import { FormFieldAbstract } from '../form/form-field.abstract';
export declare class DatePickerComponent extends FormFieldAbstract implements OnInit {
    static readonly defaultProps: DatePickerModel;
    classNameInput: string;
    disabledInput: boolean;
    floatLabelInput: string;
    idInput: string | null;
    nameInput: string;
    requiredInput: boolean;
    valueInput: string;
    className: string;
    disabled: boolean;
    errorMessage: string;
    floatLabel: string;
    id: string | null;
    isFocused: boolean;
    isTouched: boolean;
    isValid: boolean;
    name: string;
    required: boolean;
    value: string;
    constructor();
    ngOnInit(): void;
    initValues(): void;
    onSelectDay(day: CalendarDayModel): void;
    onInputFocus(): void;
    onInputBlur(event: any): void;
    onCalendarBlur(event: Event): void;
    updateAndValidity(): void;
}
